fai-diskimage(8)

NAME
fai-diskimage - create a disk image for booting a VM

SYNOPSIS
fai-diskimage imagename

DESCRIPTION
fai-diskimage creates a disk image that can be used with Qemu/KVM, VirtualBox, VMware, Xen or by your cloud infrastructure. It runs the Fully Automatic Installation using a list of FAI classes. In the end you have a bootable disk image.

OPTIONS

-c, --class CLASS[,CLASS]
    Define list of FAI classes

-D, --debug
    Enter debugging after the FAI process has finished. Therefore the fai-diskimage script is stopped and you may enter the chroot for debugging purpose. When finished, leave the chroot and send a CONT signal for resuming the fai-diskimage script.

-h, --help
    Print help

-S, --size SIZE
    Set size of raw image (suffixes k M G T are supported)

-s, --cspace URI
    Location of the confi    g space. If location starts with /, the prefix
    file:// will be added. See fai.conf(5) for all supported protocols

-u, --hostname name
    Set hostname to name

-v, --verbose
    Be verbose

EXAMPLES
 # fai-diskimage -u cloud3 -S2G -cDEBIAN,AMD64,FAIBASE,GRUB_PC,CLOUD,GCE disk.raw Creates a Debian system with a small set of software packages without graphical desktop. The disk image disk.raw will be of size 2 GB and the host ist called cloud3.
 # cl=DEFAULT,DHCPC,DEBIAN,AMD64,FAIBASE,DEMO,GRUB_PC,UBUNTU,XENIAL,XENIAL64,XORG
 # fai-diskimage -v -u cloudhost -S5G -c$cl ubuntu.qcow2 Creates a disk image of size 5GB called ubuntu.qcow2 for a Ubuntu 16.04 desktop.

NOTES
fai-diskimage is not limited to creating images for virtual machines. The raw images can also be copies (via dd) onto a real disk for booting bare metal hosts.

SEE ALSO
This program is part of FAI (Fully Automatic Installation). See the FAI manual for more information on how to use fai-monitor. The FAI homepage is http://fai-project.org.

AUTHOR
Thomas Lange <lange@informatik.uni-koeln.de>